Bug 1674852 - embree: FTBFS in Fedora rawhide/f30
Summary: embree: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: embree
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1667628
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 17:08 UTC by Fedora Release Engineering
Modified: 2019-03-29 19:20 UTC (History)
3 users (show)

Fixed In Version: embree-3.5.2-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:20:19 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details
state.log (469 bytes, text/plain)
2019-02-11 17:08 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 17:08:32 UTC
embree failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32380390


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix embree at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
embree will be orphaned. Before branching of Fedora 31,
embree will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:08:34 UTC
Created attachment 1529834 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:08:35 UTC
Created attachment 1529835 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:08:36 UTC
Created attachment 1529836 [details]
state.log

Comment 4 Jonathan Wakely 2019-02-11 21:37:25 UTC
DEBUG util.py:490:  BUILDSTDERR: Error: 
DEBUG util.py:490:  BUILDSTDERR:  Problem: package ImageMagick-c++-devel-1:6.9.10.23-1.fc30.x86_64 requires libMagick++-6.Q16.so.8()(64bit), but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - package ImageMagick-c++-devel-1:6.9.10.23-1.fc30.x86_64 requires ImageMagick-c++(x86-64) = 1:6.9.10.23-1.fc30, but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - package ImageMagick-c++-1:6.9.10.23-1.fc30.x86_64 requires libMagickCore-6.Q16.so.6()(64bit), but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - package ImageMagick-c++-1:6.9.10.23-1.fc30.x86_64 requires libMagickWand-6.Q16.so.6()(64bit), but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - package ImageMagick-c++-1:6.9.10.23-1.fc30.x86_64 requires ImageMagick-libs(x86-64) = 1:6.9.10.23-1.fc30, but none of the providers can be installed
DEBUG util.py:490:  BUILDSTDERR:   - conflicting requests
DEBUG util.py:490:  BUILDSTDERR:   - nothing provides libwmflite-0.2.so.7()(64bit) needed by ImageMagick-libs-1:6.9.10.23-1.fc30.x86_64

Comment 5 Fedora Update System 2019-03-25 05:13:03 UTC
embree-3.5.2-1.fc30 ispc-1.10.0-4.fc30 openvdb-6.0.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 6 Fedora Update System 2019-03-25 18:54:24 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6543fa31d9

Comment 7 Fedora Update System 2019-03-29 19:20:19 UTC
embree-3.5.2-1.fc30, ispc-1.10.0-4.fc30, openvdb-6.0.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.